Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.owswatch
Class Messages

    java.lang.Object
      org.deegree.portal.owswatch.Messages

    public class Messages

extends Object

i118n class for error messages

Version:
  $Revision: 20271 $, $Date: 2009-10-21 13:07:15 +0200 (Mi, 21. Okt 2009) $
Author:
  Moataz Elmasry, last edited by: $Author: jmays $

Method Summary
`static String` | `arrayToString(String[] s, String delimiter)` transforms a string array to one string. the array fields are seperated by the submitted delimiter:
`static String` | `getMessage(String key, Object... arguments)` Returns the message assigned to the passed key.
`static String` | `getString(String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMessage

    public static String getMessage(String key,
                                    Object... arguments)

  Returns the message assigned to the passed key. If no message is assigned, an error message will be returned that indicates the missing key.

  Parameters:
    `key` -
    `arguments` -
  Returns:
    the message assigned to the passed key
  See Also:
    `for conventions on string formatting and escape characters.`

### getString

    public static String getString(String key)

  Parameters:
    `key` -
  Returns:
    String

### arrayToString

    public static String arrayToString(String[] s,
                                       String delimiter)

  transforms a string array to one string. the array fields are seperated by the submitted delimiter:

  Parameters:
    `s` - stringarray to transform
    `delimiter` -
  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org